<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>

<div class="container">

    <h1>Recommended Plugins</h2>

    <p>Here are other plugins, we think you might need: <sup class="badge bg-success bg-gradient text-light rounded-pill">Built by The African Boss</sup></p>

    <div class="row">
        <div class="col-12 col-md-6">
            <div class="card">
                <a href="https://theafricanboss.com/venmo" target="_blank">
                    <img src="<?php echo (esc_url( WCVENMO_PLUGIN_DIR_URL . 'assets/images/venmo.png' ) ); ?>" class="card-img-top" alt="Checkout with Venmo on Woocommerce PRO">
                </a>
                <div class="card-body">
                    <h5 class="card-title">Checkout with Venmo on Woocommerce PRO</h5>
                    <!-- <p class="card-text">Supporting text and additional content.</p> -->
                    <a href="https://theafricanboss.com/venmo" class="btn btn-success" target="_blank">Buy for $29</a>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6">
            <div class="card">
                <a href="https://theafricanboss.com/venmo" target="_blank">
                    <img src="<?php echo (WCVENMO_PLUGIN_DIR_URL . 'assets/images/venmo.png'); ?>" class="card-img-top" alt="Checkout with Venmo PRO">
                </a>
                <div class="card-body">
                    <h5 class="card-title">Checkout with Venmo PRO | Checkout on Woocommerce with Venmo</h5>
                    <p class="card-text">Our most popular plugin for only Venmo on Woocommerce</p>
                    <a href="https://theafricanboss.com/venmo" class="btn btn-success" target="_blank">Buy for $29</a>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-12 col-md-6">
            <div class="card">
                <a href="https://theafricanboss.com/get-cash" target="_blank">
                    <img src="<?php echo (WCVENMO_PLUGIN_DIR_URL . 'assets/images/get-cash-buttons-qr-codes.jpg'); ?>" class="card-img-top" alt="Get Cash PRO">
                </a>
                <div class="card-body">
                    <h5 class="card-title">Get Cash PRO | For donations, tips, funds from Venmo, Venmo, PayPal</h5>
                    <p class="card-text">This plugin adds QR codes anywhere to your site to accept donations, tips, funds, support, etc</p>
                    <a href="https://theafricanboss.com/get-cash" class="btn btn-success" target="_blank">Buy for $19</a>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6">
            <div class="card">
                <a href="<?php echo admin_url('plugin-install.php?s=theafricanboss&tab=search&type=author'); ?>">
                    <img src="<?php echo (WCVENMO_PLUGIN_DIR_URL . 'assets/images/momo-logo.jpg'); ?>" class="card-img-top" alt="MOMO – Mobile Money Payment Woocommerce Extension" height="150">
                </a>
                <div class="card-body">
                    <h5 class="card-title">MOMO – Mobile Money Payment Woocommerce Extension</h5>
                    <p class="card-text">Unlock all the custom text and functions and modify the plugin to your liking with the PRO features</p>
                    <a href="https://theafricanboss.com/momo" class="btn btn-success" target="_blank">Buy for $19</a>
                </div>
            </div>
        </div>
    </div>

</div>